FacetedBody Class

class NXOpen.Facet.FacetedBody

Bases: NXOpen.DisplayableObject

Represents a faceted body.

Instances of this class may be generated when recording a journal, but they cannot be created directly.

New in version NX5.0.0.

Properties

Property Description
AssociatedBody Returns the solid body associated with this facet body.
BodyType Returns the type of the body
Color Returns or sets the color of the object.
IsAssemblyLevel Returns a flag indicating this is an assembly level representation.
IsAssociatedBodyLoaded Returns the load state of the solid body associated with this facet body.
IsBlanked Returns the blank status of this object.
IsOccurrence Returns whether this object is an occurrence or not.
IsSheetBody Returns true if the body is a sheet body
IsSolidBody Returns true if the body is a solid body
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
NumberOfFaces Returns the number of faces in this faceted body in the highest level of detail.
NumberOfLevelsOfDetail Returns the number of levels of detail in this faceted body.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
SurfaceArea Returns the surface area of the faceted body in part units for its highest level of detail.
Tag Returns the Tag for this object.
Volume Returns the volume of the faceted body in part units for its highest level of detail.

Methods

Method Description
Blank Blanks the object.
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes encountered with the given Type with option to update or not.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetEdges Returns the edges in the facetted body @return
GetFaces Returns the faces in the facetted body @return
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNumberOfEdges Returns the number of edges in the facetted body @return
GetNumberOfFacets Get the number of facets in the given level of detail.
GetParameters Get the faceted body parameters @return faceting parameters for this body
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, of the given type.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasLightWeightAnalytics Returns whether the FACET has analytical information @return
HasTopologyInformation Returns whether the FACET has topology information @return
HasUserAttribute Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object.
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
RemoveViewDependency Remove dependency on all views from an object.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetParameters Set the faceted body parameters, it will retessellate the body with the new parameters
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.

Property Detail

AssociatedBody

FacetedBody.AssociatedBody

Returns the solid body associated with this facet body.

-------------------------------------

Getter Method

Signature AssociatedBody()

Returns:
Return type:NXOpen.Body

New in version NX5.0.0.

License requirements: None.

BodyType

FacetedBody.BodyType

Returns the type of the body

-------------------------------------

Getter Method

Signature BodyType()

Returns:
Return type:NXOpen.Facet.FacetedBodyFacetedbodyType

New in version NX8.5.1.

License requirements: None.

IsAssemblyLevel

FacetedBody.IsAssemblyLevel

Returns a flag indicating this is an assembly level representation.

That is this facet body is associated with an occurrence of a solid body.

-------------------------------------

Getter Method

Signature IsAssemblyLevel()

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

IsAssociatedBodyLoaded

FacetedBody.IsAssociatedBodyLoaded

Returns the load state of the solid body associated with this facet body.

False if there is no associated body.

-------------------------------------

Getter Method

Signature IsAssociatedBodyLoaded()

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

IsOccurrence

FacetedBody.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence()

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

IsSheetBody

FacetedBody.IsSheetBody

Returns true if the body is a sheet body

-------------------------------------

Getter Method

Signature IsSheetBody()

Returns:
Return type:bool

New in version NX5.0.0.

Deprecated since version NX8.5.1: Use <JA_FACETED_BODY>get_body_type</JA_FACETED_BODY> instead

License requirements: None.

IsSolidBody

FacetedBody.IsSolidBody

Returns true if the body is a solid body

-------------------------------------

Getter Method

Signature IsSolidBody()

Returns:
Return type:bool

New in version NX5.0.0.

Deprecated since version NX8.5.1: Use <JA_FACETED_BODY>get_body_type</JA_FACETED_BODY> instead.

License requirements: None.

JournalIdentifier

FacetedBody.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

FacetedBody.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

NumberOfFaces

FacetedBody.NumberOfFaces

Returns the number of faces in this faceted body in the highest level of detail.

-------------------------------------

Getter Method

Signature NumberOfFaces()

Returns:
Return type:int

New in version NX5.0.0.

License requirements: None.

NumberOfLevelsOfDetail

FacetedBody.NumberOfLevelsOfDetail

Returns the number of levels of detail in this faceted body.

-------------------------------------

Getter Method

Signature NumberOfLevelsOfDetail()

Returns:
Return type:int

New in version NX5.0.0.

License requirements: None.

OwningComponent

FacetedBody.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent()

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

FacetedBody.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart()

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

FacetedBody.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype()

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

SurfaceArea

FacetedBody.SurfaceArea

Returns the surface area of the faceted body in part units for its highest level of detail.

-------------------------------------

Getter Method

Signature SurfaceArea()

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

Volume

FacetedBody.Volume

Returns the volume of the faceted body in part units for its highest level of detail.

-------------------------------------

Getter Method

Signature Volume()

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

Method Detail

FindObject

FacetedBody.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetEdges

FacetedBody.GetEdges

Returns the edges in the facetted body

Signature GetEdges()

Returns:
Return type:list of NXOpen.Facet.FacetedEdge

New in version NX8.5.1.

License requirements: None.

GetFaces

FacetedBody.GetFaces

Returns the faces in the facetted body

Signature GetFaces()

Returns:
Return type:list of NXOpen.Facet.FacetedFace

New in version NX8.5.1.

License requirements: None.

GetNumberOfEdges

FacetedBody.GetNumberOfEdges

Returns the number of edges in the facetted body

Signature GetNumberOfEdges()

Returns:
Return type:int

New in version NX8.5.1.

License requirements: None.

GetNumberOfFacets

FacetedBody.GetNumberOfFacets

Get the number of facets in the given level of detail.

Signature GetNumberOfFacets(levelOfDetail)

Parameters:levelOfDetail (int) – level of detail to query
Returns:
Return type:int

New in version NX5.0.0.

License requirements: None.

GetParameters

FacetedBody.GetParameters

Get the faceted body parameters

Signature GetParameters()

Returns:faceting parameters for this body
Return type:NXOpen.Facet.FacetingParameters

New in version NX5.0.0.

License requirements: None.

HasLightWeightAnalytics

FacetedBody.HasLightWeightAnalytics

Returns whether the FACET has analytical information

Signature HasLightWeightAnalytics()

Returns:
Return type:bool

New in version NX8.5.1.

License requirements: None.

HasTopologyInformation

FacetedBody.HasTopologyInformation

Returns whether the FACET has topology information

Signature HasTopologyInformation()

Returns:
Return type:bool

New in version NX8.5.1.

License requirements: None.

Print

FacetedBody.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

FacetedBody.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetParameters

FacetedBody.SetParameters

Set the faceted body parameters, it will retessellate the body with the new parameters

Signature SetParameters(parameters)

Parameters:parameters (NXOpen.Facet.FacetingParameters) – new facetting faceting parameters to set for this body

New in version NX5.0.0.

License requirements: None.